(PackageInfo named: 'SwaUpdateScript') preamble: '"below, add code to be run before the loading of this package"'!
(PackageInfo named: 'SwaUpdateScript') postscript: '"below, add code to be run after the loading of this package"

"Update to latest trunk"
MCFileBasedRepository flushAllCaches.
MCMcmUpdater updateFromRepositories: #(''http://source.squeak.org/trunk'').

"Inform about merge vs load"
Utilities inform: ''I am going to load OmniBrowser.
If a window appears warning about loading a new version of Refactoring, press Proceed.''

"Install OmniBrowser"
(Installer ss project: ''MetacelloRepository'') install: ''ConfigurationOfOmniBrowser''.
(Smalltalk at: #ConfigurationOfOmniBrowser) project lastVersion load: #( Dev ).

"File-in patches"
(HTTPClient httpGet: ''http://lists.squeakfoundation.org/pipermail/squeak-dev/attachments/20101025/c4b65afe/OB-SqueakTesting-fixes.3.obj'') fileIn.

"Reload ShoutCore to make sure it''s the trunk version"
(Installer repository: ''http://source.squeak.org/trunk'') install: ''ShoutCore-ul.26''

"Reset package pane browser to be the default browser"
SystemBrowser default: Browser.

"Show information"
Utilities inform: ''Your system has been updated to include the OmniBrowser plus Refactoring Tools.

To make OmniBrowser your default system browser, klick the blue menu button on any browser and use ''''Choose new default Browser''''.
Note, however, that the OmniBrowser is currently not fully functional, which is why it has not been included per default.'''!
